Subject: bug#57015: 29.0.50; macOS: libgccjit was not found: Homebrew libgccjit 12.1.0

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Aug 2022 16:14:44 +0300

> From: Po Lu <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sun, 07 Aug 2022 20:55:50 +0800
> 
> FWIW, I think macOS Emacs users can do without a package manager.  I
> built Emacs and its dependencies manually on a Mac using only the
> built-in Command Line Developer Tools.  I guess I should write the
> instructions down in nextstep/INSTALL.

If we have instructions in the tarball that allow building Emacs 28
with bold "good" and "bad" versions of libgccjit, that'd from my POV
be a sufficient solution for the release branch.

Of course, if someone finds a reliable solution that doesn't need
manual procedures, that'd be even better.

> Recommending a package manager that breaks so often to our macOS users
> is doing them a disservice.

Agreed.